| Home · API Reference · Modules

Macros
mimhwkeyboardtracker.cpp File Reference

### (2.3.0 /src/mimhwkeyboardtracker.cpp)

## Macros

#define | BITS2BYTES(x) ((((x) - 1) / 8) + 1)
#define | TEST_BIT(bit, array) (array[(bit) / 8] & (1 << (bit) % 8))

## Macro Definition Documentation

## ◆ BITS2BYTES

#define BITS2BYTES | ( |  | x | ) | ((((x) - 1) / 8) + 1)

## ◆ TEST_BIT

#define TEST_BIT | ( |  | bit,
|  |  | array
| ) |  | (array[(bit) / 8] & (1 << (bit) % 8))

Copyright © 2011 Nokia Corporation |  | Maliit